%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname cloudfiles
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: A Ruby version of the Rackspace Cloud Files API
Name: rubygem-%{gemname}
Version: 1.4.17
Release: 2%{?dist}
Group: Development/Languages
License: MIT or Ruby
URL: https://github.com/rackspace/ruby-cloudfiles
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = %{rubyabi} 
Requires: rubygem(mime-types)
BuildRequires: ruby(abi) = %{rubyabi} 
BuildRequires: ruby(rubygems) 
BuildRequires: rubygem(rake)
BuildRequires: rubygem(mime-types)
BuildRequires: rubygem(mocha)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}
Patch0: disable_test_bad_hostname.patch
Patch1: disable_faulty_connection_tests.patch
Patch2: disable_storage_object_test.patch

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
A Ruby version of the Rackspace Cloud Files API.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install -V --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
find %{buildroot}/%{geminstdir} -type f -perm /g+wx -exec chmod -v g-w {} \;
rm -f %{buildroot}/%{geminstdir}/.gitignore
rm -f %{buildroot}/%{geminstdir}/Manifest
rm -f %{buildroot}/%{geminstdir}/cloudfiles.gemspec
rm -f %{buildroot}/%{geminstdir}/Gemfile
cd %{buildroot}/%{geminstdir}/
/usr/bin/patch -s -p0 -b --suffix --fuzz=0 test/cloudfiles_authentication_test.rb %{PATCH0}
/usr/bin/patch -s -p0 -b --suffix --fuzz=0 test/cloudfiles_connection_test.rb %{PATCH1}
/usr/bin/patch -s -p0 -b --suffix --fuzz=0 test/cloudfiles_storage_object_test.rb %{PATCH2}

%check
pushd %{buildroot}%{geminstdir}
rake test --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/TODO
%doc %{geminstdir}/CHANGELOG
%doc %{geminstdir}/CONTRIBUTORS
%doc %{geminstdir}/


%files doc
%defattr(-, root, root, -)
%{geminstdir}/test
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Wed Jun 08 2011 Major Hayden <major@mhtx.net> - 1.4.17-2
- Added the test_write_with_no_data_dies patch back in

* Wed Jun 08 2011 Major Hayden <major@mhtx.net> - 1.4.17-1
- New upstream version 1.4.17
- Added two patches to disable faulty tests
- Removed the test_write_with_no_data_dies patch present in 1.4.10-3

* Fri Mar 04 2011 Major Hayden <major@mhtx.net> - 1.4.10-3
- Added a patch to disable the problematic test_write_with_no_data_dies test

* Tue Mar 01 2011 Major Hayden <major@mhtx.net> - 1.4.10-2
- Added ruby(abi) Requires/BuildRequires lines per packaging guidelines

* Sun Jan 30 2011 Major Hayden <major@mhtx.net> - 1.4.10-1
- Initial package
